@import url('https://fonts.googleapis.com/css2?family=Krona+One&family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap'); /* Montserrat e Krona One */
@import url('https://fonts.googleapis.com/css2?family=Montserrat+Alternates&display=swap');

:root {
    --cor-primaria: #000000;
    --cor-secundaria: #f6f6f6;
    --cor-terciaria: #22d4fd;
    --cor-hover: #272727;

    --font-primaria: "Krona One", sans-serif;
    --font-secundaria: "Montserrat", sans-serif;
}

* {  /* o asteristico se refere a TUDO no html */
    margin: 0;
    padding: 0;
}

body {
   /* height: 100vh;  Altura padrão*/
    box-sizing: border-box;
    background-color: var(--cor-primaria);
    color: var(--cor-secundaria);
}

.Cabecalho {
    padding: 4% 0% 0% 8%;
}

.Cabecalho__menu {
    display: flex;
    gap: 80px;
}

.Cabecalho__menu__link {
    font-family: var(--font-secundaria);
    font-weight: 600;
    font-size: 1.375rem;
    color: var(--cor-terciaria);
    text-decoration: none;
}


.apresentacao { 
    padding: 5% 8%; /* Distancia entre os itens na tela*/
    display: flex; /* Sequencia em linha*/
    align-items: center;/* Centralizando */ 
    justify-content: space-between; /* Espaço entre conteudo*/
    gap: 82px;
}

.apresentacao__conteudo {
    width: 50%;
    display: flex;
    flex-direction: column;
    gap: 40px;
}

.apresentacao__conteudo__titulo {
    font-size: 2.12rem;
    font-family: var(--font-primaria);
}

.titulo-destaque {
    color: var(--cor-terciaria);
}

.apresentacao__conteudo__texto {
    font-size: 1.375rem;
    font-family: var(--font-secundaria);
}

.apresentacao__links {
    display: flex; /* Deixa em linha*/
    flex-direction: column; /* Deixa em coluna*/
    align-items: center; /* Centralizar*/
    justify-content: space-between;
    gap: 32px; /* Criar espaço entre os botão, sem isso fica grudado*/
    margin-bottom: 12px;
}

.apresentacao__links__subtitulo {
    font-family: var(--font-primaria);
    font-weight: 400px; /* Calibre da fonte */
    font-size: 1.375rem;
}

.apresentacao__links__navegacao { /* Criando um botao*/
    display: flex;
    justify-content: center;
    gap: 16px;
    width: 50%; /* Largura*/
    text-align: center;
    border: 2px solid var(--cor-terciaria); /* Criar uma borda solida */
    border-radius: 8px; /* Arredondar a borda*/
    font-size: 1.375rem;
    font-weight: 600;
    padding: 21.5px 0 ; /* Primeiro valor é vertical e o segundo é horizontal*/
    text-decoration: none;
    color: var(--cor-secundaria);
    font-family: var(--font-secundaria);
}

.apresentacao__links__navegacao:hover {
    background-color: #272727;
}

.destaque__nome {
    color: var(--cor-terciaria);
}

.destaque__nome:hover {
    box-shadow: 0 0 10px rgba(86, 188, 228, 0.5);
    color: var(--cor-hover);
}

.apresentacao__imagem {
    width: 50%;
}

.rodape {
    color: var(--cor-primaria);
    background-color: var(--cor-terciaria);
    font-family: var(--font-secundaria);
    font-size: 1.25rem;
    padding: 15px;
    text-align: center;
    font-weight: 400px;
}

@media (max-width: 960px) {
    .Cabecalho {
        padding: 7%;     
    }

    .Cabecalho__menu {
        justify-content: center;
    }

    .apresentacao {
        flex-direction: column-reverse;
        padding: 5%;
    }

    .apresentacao__conteudo {
        width: auto; 
    }
}
